Loading...
Searching...
No Matches
Opm::BlackoilModelConvergenceMonitor< Scalar > Class Template Reference

Implementation of penalty cards for three-phase black oil. More...

`#include <BlackoilModelConvergenceMonitor.hpp>`

## Public Types

using | MonitorParams = typename BlackoilModelParameters<Scalar>::ConvergenceMonitorParams

## Public Member Functions

| BlackoilModelConvergenceMonitor (const MonitorParams &param)
void | checkPenaltyCard (ConvergenceReport &report, int iteration)
void | reset ()

## Detailed Description

template<class Scalar>
class Opm::BlackoilModelConvergenceMonitor< Scalar >

Implementation of penalty cards for three-phase black oil.

The documentation for this class was generated from the following files:

- opm/simulators/flow/BlackoilModelConvergenceMonitor.hpp
- opm/simulators/flow/BlackoilModelConvergenceMonitor.cpp